/*
 Theme Name:   SFWD Press Child
 Description:  Child Theme for SFWD Press
 Author:       Santa Fe Web Design
 Author URI:   https://santafewebdesign.com
 Template:     sfwdpress
 Text Domain: sfwd
*/

/* You can start adding your own CSS here. */

@font-face {
  font-family: "futura-pt";
  src: url("https://use.typekit.net/af/2cd6bf/00000000000000000001008f/27/l?primer=7fa3915bdafdf03041871920a205bef951d72bf64dd4c4460fb992e3ecc3a862&fvd=n5&v=3")
      format("woff2"),
    url("https://use.typekit.net/af/2cd6bf/00000000000000000001008f/27/d?primer=7fa3915bdafdf03041871920a205bef951d72bf64dd4c4460fb992e3ecc3a862&fvd=n5&v=3")
      format("woff"),
    url("https://use.typekit.net/af/2cd6bf/00000000000000000001008f/27/a?primer=7fa3915bdafdf03041871920a205bef951d72bf64dd4c4460fb992e3ecc3a862&fvd=n5&v=3")
      format("opentype");
  font-display: swap;
  font-style: normal;
  font-weight: 500;
  font-stretch: normal;
}

@font-face {
  font-family: "futura-pt";
  src: url("https://use.typekit.net/af/9b05f3/000000000000000000013365/27/l?primer=7fa3915bdafdf03041871920a205bef951d72bf64dd4c4460fb992e3ecc3a862&fvd=n4&v=3")
      format("woff2"),
    url("https://use.typekit.net/af/9b05f3/000000000000000000013365/27/d?primer=7fa3915bdafdf03041871920a205bef951d72bf64dd4c4460fb992e3ecc3a862&fvd=n4&v=3")
      format("woff"),
    url("https://use.typekit.net/af/9b05f3/000000000000000000013365/27/a?primer=7fa3915bdafdf03041871920a205bef951d72bf64dd4c4460fb992e3ecc3a862&fvd=n4&v=3")
      format("opentype");
  font-display: swap;
  font-style: normal;
  font-weight: 400;
  font-stretch: normal;
}

:root {
  --body-bg: #2b231f;
  --logo-width: 280px;

  --max-content-width: 1440px;

  --page-title-margin-bottom: 16px;

  --content-bg: #2b231f;
  --content-text-color: #ded9ce;
  --content-link-color: #c24b06;
  --content-link-hover-color: #ded9ce;

  --header-height: 106px;

  --header-bg-color: #2b231f;
  --header-text-color: #fff;
  --header-column-gap: 16px;
  --header-merged-bg: rgba(43, 35, 34, 0.75);
  --header-padding-top: 28px;
  --header-padding-bottom: 32px;
  --header-margin-bottom: 16px;
  --header-border-bottom: 1px solid #857b74;

  --hamburger-icon-width: 25px;
  --hamburger-icon-height: 45px;

  --menu-text-color: #fff;
  --menu-text-color-hover: #be6205;
  --menu-current-item-color: #ada594;

  --menu-item-gap: 24px;
  --menu-font-size: 22px;
  --menu-font-weight: normal;
  --menu-letter-spacing: 0.1rem;

  --popup-menu-item-gap: 24px;
  --popup-menu-left-right-padding: 32px;
  --popup-menu-font-size: 22px;
  --popup-menu-font-weight: normal;
  --popup-menu-text-color: #fff;
  --popup-menu-text-color-hover: #be6205;
  --popup-menu-letter-spacing: 0.1rem;
  --popup-menu-width: 450px;

  --popup-menu-current-item-color: #ada594;

  --dropdown-padding: 8px;
  --dropdown-bg: #0000007a;
  --dropdown-font-size: 16px;
  --dropdown-text-color: #fff;
  --dropdown-text-color-hover: #be6205;

  --popup-menu-bg: rgba(46, 33, 26, 0.95);

  --popup-submenu-item-gap: 12px;
  --popup-submenu-left-right-padding: 16px;
  --popup-submenu-font-size: 16px;
  --popup-submenu-text-color: #fff;
  --popup-submenu-text-color-hover: #be6205;

  --footer-bg: #2b231f;
  --footer-text-color: #ada594;
  --footer-link-color: #ada594;
  --footer-padding: 0 16px;

  --back-to-top-bg: rgba(0, 0, 0, 0.6);
  --back-to-top-color: #fff;

  --breadcrumb-link-color: #000;

  --full-width-block-bg: #f3f3f3;

  --gallery-gap: 30px;
  --heading-margin-bottom: 8px;

  --image-overlay-bg: rgba(0, 0, 0, 0.4);

  --input-border: 1px solid #f3ece7;
  --input-color: #271501;
  --input-padding: 0.25rem 0.5rem;
  --input-bg: #f3ece7;

  --invalid-color: #fff;
  --invalid-bg-color: maroon;
  --invalid-border: 1px solid #b35508;

  --success-color: #fff;
  --success-bg-color: #000;

  --submit-text-color: #d4d5d6;
  --submit-bg-color: #b35508;
  --submit-padding: 0.25rem 3rem;

  --submit-hover-text-color: #d4d5d6;
  --submit-hover-bg-color: #7f7058;

  --h1-size: 1.3rem;
  --h2-size: 1.375rem;
  --h3-size: 1.25rem;
  --h4-size: 1.13rem;
  --h5-size: 1rem;
  --h6-size: 0.875rem;
}

.site-header {
  text-transform: uppercase;
}

.site-header .custom-logo {
  position: relative;
  top: 3px;
}

.site-header .wp-block-sfwd-svg-icon .icon svg {
  display: block;
  height: 25px !important;
  fill: inherit !important;
}

h1 {
  color: #ded9ce;
  font-weight: 400;
  text-transform: uppercase;
  text-align: center;
  font-size: 1.3rem;
  letter-spacing: 0.1rem;
  padding: 0.5rem 0 0 0;
  line-height: normal;
}

.home .wp-block-post-content p {
  text-transform: capitalize;
}

.home .title {
  font-family: futura-pt, sans-serif !important;
}

.home .desc {
  font-family: futura-pt, sans-serif !important;
}

.wp-block-post-content p {
  font-weight: 300;
  font-size: 1.1rem;
  letter-spacing: 0.1rem;
  line-height: 1.8;
  margin: 1rem 0;
}

.our-team h4 {
  color: #ded9ce;
  font-weight: 500;
  text-transform: uppercase;
  text-align: center;
  font-size: 1.25rem !important;
  letter-spacing: 0.15rem;
  padding: 0;
  margin: 15px 0 0 0;
  line-height: normal;
}

.our-team p {
  font-weight: 300;
  font-size: 1.2rem;
  letter-spacing: 0.1rem;
  line-height: normal;
  margin: 0;
}

.our-team figure {
  display: block;
  overflow: hidden;
}

.our-team figure img {
  display: block;
  transition: transform 0.4s;
  transform: scale(1.1);
}

.our-team figure:hover img {
  transform: scale(1.03) !important;
}

.footer .wp-block-columns .wp-block-column {
  flex-basis: auto !important;
}

.footer .wp-block-columns .wp-block-column:not(:first-child) p:before {
  position: relative;
  content: "\2022";
  color: #ada594;
  padding-right: 16px;
  top: -1px;
}

.entry-content h2 {
  color: #857b74;
  font-weight: 300;
  font-size: 1.875rem;
  letter-spacing: 0.1rem;
}

.entry-content h3 {
  color: #c5baae;
  font-weight: 300;
}

/* POH */

.POH-title {
  color: #ded9ce;
  font-weight: 400;
  text-transform: capitalize;
  text-align: left;
  font-size: 2.5rem;
  letter-spacing: 0.1em;
  padding: 0.5rem 0 1rem 0;
  line-height: normal;
}

.POH-features {
  display: none !important;
}

.POH-features h2 {
  color: #56463c !important;
  padding: 2rem 0px 0px 2rem !important;
  margin: 1rem 0px 1rem 0px !important;
  text-align: left;
  font-weight: 400;
  letter-spacing: 0.07em;
  font-size: 1.6rem;
}

.POH-features p {
  color: #56463c !important;
  padding: 0rem 0.5rem 0rem 0rem !important;
  margin: 0.5rem 0rem 0rem -0.5rem !important;
  text-align: left;
  font-size: 1rem !important;
  text-transform: capitalize;
  font-weight: 400;
  letter-spacing: 0.01;
}

.POH-details h2 {
  color: #ea6f25 !important;
  font-weight: 400;
  text-transform: uppercase;
  text-align: center;
  font-size: 1.4rem;
  letter-spacing: 0.1em;
  padding: 0rem 0 0.5rem 0 !important;
  margin: 0rem 0 1rem 0 !important;
  line-height: normal;
}

.POH-details {
  color: #f1efee !important;
  font-weight: 300;
  text-align: left;
  font-size: 1.2rem;
  letter-spacing: 0.15em;
  padding: 0;
  line-height: 1.8rem;
  text-align: center;
}

.POH-details-title-map {
  color: #ea6f25 !important;
  font-weight: 400;
  text-transform: uppercase;
  text-align: left;
  font-size: 1.5rem;
  letter-spacing: 0.1em;
  padding: 2rem 0 0rem 0 !important;
  margin: 0.5rem 0 1.5rem 0 !important;
  line-height: normal;
}

.POH a {
  border-bottom: 1px solid #f1efee;
  display: block;
  text-align: center;
  padding-bottom: 1rem;
}

.POH-logo {
  padding: 1.5rem 0 2rem 0 !important;
}

.POH-2022 {
  padding: 1.5rem 0 0rem 0 !important;
  max-width: 1400px !important;
  margin: 1rem auto;
}

/* end POH */

.team-member {
  width: 900px;
  flex-wrap: nowrap;
  padding: 30px !important;
  border: 2px #49463f double;
  margin-bottom: 0;
  max-width: 100vw;
  background: #ccbeb3e6;
}

.team-member h2 {
  text-transform: uppercase;
  margin: 0;
  padding: 0;
  font-size: 18px;
  letter-spacing: 1.5px;
}

.team-member h3 {
  text-transform: uppercase;
  margin: 0;
  padding: 0;
  font-size: 16px;
  color: #444;
  letter-spacing: 1.5px;
}

.team-member p {
  margin: 10px 0 0 0;
  padding: 0;
  font-size: 15.5px;
}

#spotlight.show {
  background: rgba(0, 0, 0, 1);
}

.about-watch {
  font-family: futura-pt, sans-serif !important;
}

.cover-text {
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  background: rgba(0, 0, 0, 0.3);
  padding: 0 32px;
  transform: translateZ(0);

  animation: coverTextFadeOut 2s forwards 15s;
}

@keyframes coverTextFadeOut {
  to {
    opacity: 1;
  }
}

.cover-text .wp-block-group {
  margin: 0 auto;
  padding: 0;
  flex-basis: 100%;
  max-width: var(--max-content-width);
}

.cover-text .wp-block-group > * {
  margin: 0 !important;
  padding: 0;
  flex-basis: 100%;
  opacity: 0;
  transform: translateY(-150px);
  animation: coverTextFadeIn 2s forwards;
  color: #e5e3d0;
}

.cover-text .wp-block-group > *:nth-child(1) {
  animation-delay: 2s;
}

.cover-text .wp-block-group > *:nth-child(2) {
  animation-delay: 4s;
}

.cover-text .wp-block-group > *:nth-child(3) {
  animation-delay: 6s;
}

.cover-text .wp-block-group > *:nth-child(4) {
  animation-delay: 8s;
}

.cover-text .wp-block-group > *:nth-child(5) {
  animation-delay: 10s;
}

.cover-text .wp-block-group > *:nth-child(6) {
  animation-delay: 12s;
  text-transform: uppercase;
  font-weight: 700;
}

.cover-text .wp-block-group > *:nth-child(7) {
  animation-delay: 14s;
  text-transform: uppercase;
  font-weight: 700;
}

.cover-text .wp-block-group > *:nth-child(8) {
  animation-delay: 16s;
  text-transform: uppercase;
  font-weight: 700;
}

.cover-text .wp-block-group > *:nth-child(9) {
  animation-delay: 18s;
  text-transform: uppercase;
  font-weight: 700;
}

.cover-text .wp-block-group h1 {
  font-size: 32px;
  text-transform: uppercase;
}

.cover-text .wp-block-group h2 {
  font-size: 30px;
  color: #f0b743;
  margin-top: 32px !important;
  font-weight: 700;
}

.cover-text .wp-block-group p {
  font-size: 24px;
}

@keyframes coverTextFadeIn {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.encantado-gallery figure {
  height: 700px;
}

/* breakpoint */
@media only screen and (max-width: 1050px) {
  .our-team h4 {
    font-size: 1.13rem !important;
  }

  .our-team p {
    font-size: 1rem;
  }
}

/* stuff for mobile only */
@media only screen and (max-width: 820px) {
  .merge-header main {
    margin-top: var(--header-height);
  }

  .team-columns:not(.is-not-stacked-on-mobile) {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  .popup-content-block .inner {
    height: 100vh;
  }

  .team-member {
    padding-top: 72px !important;
    height: 100vh;
    align-content: flex-start;
  }

  .team-member figure img {
    aspect-ratio: 1.1;
    object-fit: cover;
    object-position: center 15%;
  }

  .popup-content-block .close-icon {
    background: #230d03;
  }
}

/* stuff for mobile only */
@media only screen and (max-width: 767px) {
  .wp-block-image {
    float: none !important;
    margin-left: 0 !important;
  }

  .wp-block-image img {
    display: block;
    width: 100% !important;
    height: auto !important;
  }

  :root {
    --logo-width: 225px;
    --header-height: 97px;
    --slide-height: 500px;
  }

  body {
    --wp--preset--font-size--large: 1.1rem;
  }

  .footer {
    text-align: center;
  }

  .footer .wp-block-columns .wp-block-column:not(:first-child) p:before {
    position: relative;
    content: "\2022";
    color: #ada594;
    padding-right: 16px;
    top: -1px;
    display: none;
  }

  .team-columns:not(.is-not-stacked-on-mobile) {
    grid-template-columns: 1fr;
  }

  .cover-text {
    padding: 0 16px;
  }

  .cover-text h1 {
    font-size: 24px;
    line-height: 1.5;
  }

  .cover-text h2 {
    font-size: 18px;
    line-height: 1.5;
  }

  .cover-text p {
    font-size: 16px;
    text-wrap: balance;
    line-height: 1.5;
  }

  .bullets {
    text-wrap: balance;
  }

  .team-member {
    background: transparent;
    border: 0;
  }

  .team-member p:last-child {
    margin-bottom: 64px;
  }

  .popup-content-block .inner {
    height: 100vh;
    background: #ccbeb3e6;
    border: 0;
    overflow: scroll;
  }

  .cover-text .wp-block-group h2 {
    font-size: 16px;
  }

  .cover-text .wp-block-group p {
    font-size: 16px;
  }

  .encantado-gallery figure {
    height: 500px;
    overflow: hidden;
  }
}

/* stuff for mobile only */
@media only screen and (max-width: 350px) {
  .site-header.logo-center .wp-block-column:nth-child(1) {
    display: none;
  }
}
